---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab mr`

Create, view, and manage merge requests.

## Examples

```plaintext
glab mr create --fill --label bugfix
glab mr merge 123
glab mr note -m "needs to do X before it can be merged" branch-foo

```

## Options

```plaintext
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```

## Options inherited from parent commands

```plaintext
      --help   Show help for this command.
```

## Subcommands

- [`approve`](approve.md)
- [`approvers`](approvers.md)
- [`checkout`](checkout.md)
- [`close`](close.md)
- [`create`](create.md)
- [`delete`](delete.md)
- [`diff`](diff.md)
- [`for`](for.md)
- [`issues`](issues.md)
- [`list`](list.md)
- [`merge`](merge.md)
- [`note`](note.md)
- [`rebase`](rebase.md)
- [`reopen`](reopen.md)
- [`revoke`](revoke.md)
- [`subscribe`](subscribe.md)
- [`todo`](todo.md)
- [`unsubscribe`](unsubscribe.md)
- [`update`](update.md)
- [`view`](view.md)
